> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brandblast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Create a new user on your white label tool. This does not notify the new user in any way.



## OpenAPI

````yaml post /v1/createUser
openapi: 3.0.1
info:
  title: Brandblast API
  description: A user management API for white labels
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://dashboard.brandblast.ai/api
security:
  - ApiKeyAuth: []
tags:
  - name: User Management
    description: APIs for managing users
paths:
  /v1/createUser:
    post:
      tags:
        - User Management
      summary: Create a new user
      description: >-
        Create a new user on your white label tool. This does not notify the new
        user in any way.
      operationId: createUser
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - user_email
                - user_password
              properties:
                user_email:
                  type: string
                  format: email
                  description: Email address of the new user
                user_password:
                  type: string
                  description: Password for the new user account
                should_reset_password:
                  type: string
                  enum:
                    - 'true'
                    - 'false'
                  default: 'false'
                  description: >-
                    Flag to indicate if the user should reset their password
                    upon login. Defaults to false.
            example:
              user_email: newuser@example.com
              user_password: securePassword123
              should_reset_password: 'false'
      responses:
        '200':
          description: User created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  user_email:
                    type: string
                  user_password:
                    type: string
              example:
                user_email: newuser@example.com
                user_password: securePassword123
        '400':
          description: Bad request - missing parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: user_email is missing
        '401':
          description: Unauthorized - invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: 'Unauthorized: Invalid or unauthorized API key.'
        '403':
          description: Forbidden - no white label user found for API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: No white label user found for api key
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Failed to create user
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````